Bug 16831 - Installer keeps crashing on RH7.0 Beta
Summary: Installer keeps crashing on RH7.0 Beta
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-23 22:27 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-24 14:10:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-08-23 22:27:41 UTC
When installing RedHat7.0beta, the installer bombs out.. here is the
debugging info.. after 7 attempts 0 of them have been successfull.. the
machine is a Celleron 333, 128M Ram 4.3 SCSI HD with a Busslogin
controller.

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 426, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 1022, in run
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 504, in
__call__
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1522, in
doInstal
l
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 1265, in
instCall
back
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/urlinstall.py", line 47, in
getF
ilename
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/log.py", line 23, in
__call__
TypeError: illegal argument type for built-in operation

Local variables in innermost frame:
args: ('ftp error', 'ftp://ting.sonic.net/redhat/RedHat/base/hdlist',
<exception
s.IOError instance at 939d9a0>)
self: <log.LogFile instance at 81df9b0>
format: IOError %d occured getting %s: %s

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iurlinstall
UrlInstallMethod
p4
(dp5
S'baseUrl'
p6
S'ftp://ting.sonic.net/redhat'
sbsS'initlevel'
p7
I3
sS'skipLilo'
p8
I0
sS'progressWindow'
p9
(itext
ProgressWindow
(dp10
S'scale'
p11
(isnack
Scale
(dp12
S'w'

Comment 1 Michael Fulbright 2000-08-24 14:10:09 UTC
Fixed in internal tree - it was not handling ftp timeouts well.


Note You need to log in before you can comment on or make changes to this bug.